##Create Smilies Table
CREATE TABLE tblSmilie(
smilie_id INT AUTO_INCREMENT NOT NULL PRIMARY KEY,
smilie_code VARCHAR(100) NOT NULL,
smilie_file VARCHAR(100) NOT NULL);

##Create Censor Table
CREATE TABLE tblCensor(
censor_id INT AUTO_INCREMENT NOT NULL PRIMARY KEY,
censor_word VARCHAR(100) NOT NULL,
censor_replace VARCHAR(100) NOT NULL);

##Create Photos Table
CREATE TABLE tblPhoto(
photo_id INT AUTO_INCREMENT NOT NULL PRIMARY KEY,
photo_title VARCHAR(255) NOT NULL,
photo_description TEXT,
photo_filename VARCHAR(100) NOT NULL);

##Create Articles Table
CREATE TABLE tblArticle(
article_id INT AUTO_INCREMENT NOT NULL PRIMARY KEY,
article_title VARCHAR(255) NOT NULL,
article_date INT NOT NULL,
article_summary TEXT,
article_body TEXT,
article_views INT NOT NULL DEFAULT 0);

##Create Shouts Table
CREATE TABLE tblShout(
shout_id INT AUTO_INCREMENT NOT NULL PRIMARY KEY,
shout_name VARCHAR(50) NOT NULL,
shout_shout VARCHAR(255) NOT NULL,
shout_web VARCHAR(50),
shout_ip VARCHAR(20) NOT NULL);

##Create Sign Table
CREATE TABLE tblSign(
sign_id INT AUTO_INCREMENT NOT NULL PRIMARY KEY,
sign_name VARCHAR(50) NOT NULL,
sign_email VARCHAR(100),
sign_web VARCHAR(100),
sign_title VARCHAR(255) NOT NULL,
sign_message TEXT NOT NULL,
sign_date INT NOT NULL,
sign_ip VARCHAR(20) NOT NULL);

##Create Configuration Table
CREATE TABLE tblConfig(
config_id INT AUTO_INCREMENT NOT NULL PRIMARY KEY,
config_name VARCHAR(20) NOT NULL,
config_value VARCHAR(50) NOT NULL);

##Create Polls Table
CREATE TABLE tblPoll(
poll_id INT AUTO_INCREMENT NOT NULL PRIMARY KEY,
poll_title VARCHAR(255) NOT NULL);

##Create Poll Options Table
CREATE TABLE tblPollOption(
option_id INT AUTO_INCREMENT NOT NULL PRIMARY KEY,
option_poll_id INT NOT NULL,
option_text VARCHAR(255) NOT NULL,
option_votes SMALLINT NOT NULL DEFAULT 0);


##Dump the Default Smilies
INSERT INTO tblSmilie (smilie_code, smilie_file) VALUES
(':D','smilies/lol.gif'),
(':)','smilies/smile.gif'),
(';)','smilies/wink.gif'),
(':(','smilies/sad.gif'),
(':X','smilies/mad.gif'),
(':cry:','smilies/cry.gif'),
(':eek:','smilies/eek.gif'),
(':yes:','smilies/yes.gif'),
(':no:','smilies/no.gif'),
(':love:','smilies/love.gif'),
(':confused','smilies/confused.gif'),
(':giggle:','smilies/giggle.gif');


##Dump the Default Configuration Parameters
INSERT INTO tblConfig (config_name, config_value) VALUES
('theme', 'default'),
('language','english'),
('num_shouts',10),
('num_sigs',6),
('num_articles',6),
('num_thumbs',8),
('pass',MD5('pass')),
('site_name','My Website');